# saveConnectionSessionReflectDraft

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PUT | https://api.thomas.co/v1/sessions/{id}/reflect-draft |

| Field | Value |
|---|---|
| operationId | saveConnectionSessionReflectDraft |
| method | PUT |
| server | https://api.thomas.co/v1 |
| path | /sessions/{id}/reflect-draft |
| tags | `1:1 Sessions` |
| summary | Save a connection session reflection draft |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/SaveReflectDraftDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Connection session reflection draft saved | #/components/schemas/TeamSessionResponseDto |
| 400 | Malformed session id path parameter or invalid payload | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Session not found or the caller is not a member of its team | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Session not found",
  "error": "SESSION_NOT_FOUND"
}
```
